Debian Bug report logs - #324576
scsh-0.6: FTBFS with gcc-4.0: invalid storage class for function 'write_integer'

version graph

Package: scsh-0.6; Maintainer for scsh-0.6 is Scheme48 Maintainers Task Force <pkg-scheme48-maintainers@lists.alioth.debian.org>; Source for scsh-0.6 is src:scsh-0.6.

Reported by: Daniel Schepler <schepler@math.berkeley.edu>

Date: Mon, 22 Aug 2005 20:48:01 UTC

Severity: serious

Tags: fixed-upstream, patch, upstream

Found in version scsh-0.6/0.6.6-9

Fixed in version scsh-0.6/0.6.6-10

Done: Lionel Elie Mamane <lmamane@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1194281&group_id=10493&atid=110493

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Scheme48 Maintainers Task Force <pkg-scheme48-maintainers@lists.alioth.debian.org>:
Bug#324576; Package scsh-0.6. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Scheme48 Maintainers Task Force <pkg-scheme48-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: scsh-0.6: FTBFS with gcc-4.0: invalid storage class for function 'write_integer'
Date: Mon, 22 Aug 2005 13:35:43 -0700
Package: scsh-0.6
Severity: serious
Version: 0.6.6-9

From my build log, using pbuilder in an i386 chroot:

...
gcc -c -DHAVE_CONFIG_H -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/unix/io.o c/unix/io.c
c/unix/io.c: In function 'ps_write_integer':
c/unix/io.c:154: error: invalid storage class for function 'write_integer'
c/unix/io.c:160: warning: implicit declaration of function 'write_integer'
c/unix/io.c: At top level:
c/unix/io.c:171: error: conflicting types for 'write_integer'
c/unix/io.c:160: error: previous implicit declaration of 'write_integer' was here
make[1]: *** [c/unix/io.o] Error 1
make[1]: Leaving directory `/tmp/buildd/scsh-0.6-0.6.6'
make: *** [build-stamp] Error 2

-- System Information:
Debian Release: testing/unstable
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-amd64-k8
Locale: LANG=en, LC_CTYPE=en (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)

-- 
Daniel Schepler              "Please don't disillusion me.  I
schepler@math.berkeley.edu    haven't had breakfast yet."
                                 -- Orson Scott Card



Information forwarded to debian-bugs-dist@lists.debian.org, Scheme48 Maintainers Task Force <pkg-scheme48-maintainers@lists.alioth.debian.org>:
Bug#324576; Package scsh-0.6. Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Scheme48 Maintainers Task Force <pkg-scheme48-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 324576@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Daniel Schepler <schepler@math.berkeley.edu>, 324576@bugs.debian.org
Subject: Re: Bug#324576: scsh-0.6: FTBFS with gcc-4.0: invalid storage class for function 'write_integer'
Date: Tue, 23 Aug 2005 17:33:51 +0200
[Message part 1 (text/plain, inline)]
tags 324576 =upstream pending patch
forwarded 324576 https://sourceforge.net/tracker/index.php?func=detail&aid=1194281&group_id=10493&atid=110493

Thanks for your bug report. A fixed version is being built and will
hopefully be uploaded still today.

(Patch attached.)

On Mon, Aug 22, 2005 at 01:35:43PM -0700, Daniel Schepler wrote:
> Package: scsh-0.6
> Severity: serious
> Version: 0.6.6-9

>> From my build log, using pbuilder in an i386 chroot:

> gcc -c -DHAVE_CONFIG_H -I./c -I./cig  -g -Wall -O2 -D_GNU_SOURCE -o c/unix/io.o c/unix/io.c
> c/unix/io.c: In function 'ps_write_integer':
> c/unix/io.c:154: error: invalid storage class for function 'write_integer'
> c/unix/io.c:160: warning: implicit declaration of function 'write_integer'
> c/unix/io.c: At top level:
> c/unix/io.c:171: error: conflicting types for 'write_integer'
> c/unix/io.c:160: error: previous implicit declaration of 'write_integer' was here
> make[1]: *** [c/unix/io.o] Error 1
> make[1]: Leaving directory `/tmp/buildd/scsh-0.6-0.6.6'
> make: *** [build-stamp] Error 2

-- 
Lionel
[scsh-gcc4.patch (text/plain, attachment)]

Tags set to: upstream, pending, patch Request was from Lionel Elie Mamane <lionel@mamane.lu> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1194281&group_id=10493&atid=110493. Request was from Lionel Elie Mamane <lionel@mamane.lu> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Lionel Elie Mamane <lmamane@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 324576-close@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lmamane@debian.org>
To: 324576-close@bugs.debian.org
Subject: Bug#324576: fixed in scsh-0.6 0.6.6-10
Date: Wed, 24 Aug 2005 05:02:07 -0700
Source: scsh-0.6
Source-Version: 0.6.6-10

We believe that the bug you reported is fixed in the latest version of
scsh-0.6, which is due to be installed in the Debian FTP archive:

scsh-0.6-doc_0.6.6-10_all.deb
  to pool/main/s/scsh-0.6/scsh-0.6-doc_0.6.6-10_all.deb
scsh-0.6_0.6.6-10.diff.gz
  to pool/main/s/scsh-0.6/scsh-0.6_0.6.6-10.diff.gz
scsh-0.6_0.6.6-10.dsc
  to pool/main/s/scsh-0.6/scsh-0.6_0.6.6-10.dsc
scsh-0.6_0.6.6-10_sparc.deb
  to pool/main/s/scsh-0.6/scsh-0.6_0.6.6-10_sparc.deb
scsh-common-0.6_0.6.6-10_all.deb
  to pool/main/s/scsh-0.6/scsh-common-0.6_0.6.6-10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 324576@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lionel Elie Mamane <lmamane@debian.org> (supplier of updated scsh-0.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 23 Aug 2005 14:14:08 +0200
Source: scsh-0.6
Binary: scsh-common-0.6 scsh-0.6 scsh-0.6-doc
Architecture: source all sparc
Version: 0.6.6-10
Distribution: unstable
Urgency: low
Maintainer: Scheme48 Maintainers Task Force <pkg-scheme48-maintainers@lists.alioth.debian.org>
Changed-By: Lionel Elie Mamane <lmamane@debian.org>
Description: 
 scsh-0.6   - A `scheme' interpreter designed for writing system programs
 scsh-0.6-doc - Documentation for scsh, "The Scheme Shell"
 scsh-common-0.6 - A `scheme' interpreter designed for writing system programs
Closes: 324576
Changes: 
 scsh-0.6 (0.6.6-10) unstable; urgency=low
 .
   * Autogenerate Architecture: line of debian/control
     with help of type-handling
   * Remove libtool from Build-Depends: unused since 0.6.0-1
   * Define function before it is used, at the top level.
     Fixes a FTBFS with gcc4 (closes: #324576)
Files: 
 e49b5ae1c7efa9379b5fa9455209050a 762 interpreters optional scsh-0.6_0.6.6-10.dsc
 f0dfb729a580fb8d6e72dc94224cff71 68757 interpreters optional scsh-0.6_0.6.6-10.diff.gz
 3a73048b5cb3b09b18086f1a16eeb600 3179180 interpreters optional scsh-0.6_0.6.6-10_sparc.deb
 b16144cf471dd2cbab9d166ec4f6fd40 368256 interpreters optional scsh-common-0.6_0.6.6-10_all.deb
 5c049d65ff2e9a43441f9e0b39d397d6 2625218 doc optional scsh-0.6-doc_0.6.6-10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDDGA4scRzFz57S3MRAme9AKC/GmFdi1AVQ2C+3unpIO0BZ9YcBACguO5w
kgkWFheqw+ymQunzaH9K3m4=
=lZ6B
-----END PGP SIGNATURE-----




Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 14:37:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:18:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.